<?php
/*///////////////////////////////////////////////////////////////////////////////////
PHP手机小说小偷4.1
小说主力源站点:www.it09.net     【在主机屋安家】
小说备用源站点1:cloud.it09.com	【在百度CDN中心安家】
小说备用源站点2:mirror.it09.com	【在数据中心www.winidc.net安家】
技术支持:www.it09.com（QQ群:博益科技5群 12135445）
版权所有:古月芳弓虽(博益科技)
当前版本完结日期:20150810
//////////////////////////////////////////////////////////////////////////////////*/
define('QIANG',dirname(__FILE__).'/../');
require(QIANG.'includes/config.php');
require(QIANG.'includes/includes.php');
require(QIANG.'includes/head.php');
require(QIANG.'includes/foot.php');
$info['title']='搜库.'.$info['title'];					//定义网站标题
echo page_header($info);
//开始数据处理。
$output='';$i=0;
if(!empty($_GET['word']))
{
$array = file(QIANG.'/cache/files.txt');
$array = str_replace(PHP_EOL, '', $array);//将换行符替换掉啊。
$array = array_unique($array);
foreach($array as $name)
	{
	if(ereg(iconv("UTF-8","GBK//IGNORE",$_GET['word']),$name) or
	mb_stripos(utf8($name),$_GET['word']) or
	stripos($name,iconv("UTF-8","GBK//IGNORE",$_GET['word'])))
		{
		$output=$output.'<p><a href="../?action=read&book='.encode($name).'" class="'.($i%2==0?'two':'one').'">'.(++$i).'.'.str_replace($_GET['word'],'<font color="red"><b>'.$_GET['word'].'</b></font>',str_ireplace('.txt','',@iconv("GBK","UTF-8",$name))).'</a></p>
';
		}
	}
unset($array);
}
//开始数据输出。
echo '
<body id="body">
<div data-role="page" id="pageone" data-theme="a" data-add-back-btn="true">
	<div data-role="header" width=100%>
    <ul>
	<a href="../"><img src="http://www.it09.com/logos/it09.net3.png" /></a>
	</ul>
  </div>
  <div data-role="content">
  <ul><ul style="float:left;width:100%;height:60px;overflow:hidden">
<form method="get" action="../s/">
<div data-role="fieldcontain">
<div style="float:left;width:60%;overflow:hidden">
<input name="word" type="search" name="search" id="search" placeholder="" value="'.$_GET['word'].'" />
</div>
<div style="float:left;width:5%;overflow:hidden">&nbsp;</div>
<div style="float:left;width:35%;overflow:hidden">
<input type="submit" data-inline="true" value="搜书" />
</div>
</div>
</form>
</ul>
  </ul>
  <ul><p>&nbsp;</p>
  '.$output.'
  </ul></div>
 <ul><a href="../">返回首页</a></ul>';
echo page_footer($info);
?>